BeforeSetWndPlace=function(newPlace){
	
	var point = CreateDataObject();
	point.SetPoint(0,0);
	var pvar=skin.wnd_uieffect.check_shadepage.ToScreenPoint(point);
	var place=skin.wnd_uieffect.check_shadepage.GetPlace();
	newPlace.x=Number(pvar.x)+Number(place.width)/2;
	newPlace.y=Number(pvar.y)+Number(place.height);

	if(newPlace.x>25){
		newPlace.x=newPlace.x-25;
	}
	else{
		newPlace.x=0;
	}
	if(newPlace.y>1){
		newPlace.y=newPlace.y-1;
	}
	return true;
}

function Number(str){
	return str*1;
}